diff -u cl-unification-pristine/match-block.lisp cl-unification/match-block.lisp
--- cl-unification-pristine/match-block.lisp	2005-10-25 23:08:15.000000000 +0400
+++ cl-unification/match-block.lisp	2006-10-19 06:11:01.000000000 +0400
@@ -39,7 +39,12 @@
            )
       `(block nil
          (handler-case
-             (let* ((,env-var (unify ',template ,object ,substitution))
+             (let* ((,env-var (unify ,(if (eql (first template) 'make-template)
+                                          ;; (make-template ...) forms
+                                          ;; must be left unquoted.
+                                          template
+                                          `(quote ,template))
+                                     ,object ,substitution))
                     ,@(generate-var-bindings)
                     )
 	       (declare (ignorable ,@(mapcar #'first (generate-var-bindings))))
